Subject: Re: [PATCH] Evict tmp variable from the stack in ip6_evictor

From: Patrick McHardy <[email-masked]>
Date: Wed, 10 Oct 2007 17:06:07 +0200

Pavel Emelyanov wrote:
> Patrick McHardy wrote:
>> Pavel Emelyanov wrote:
>>> The list_head *tmp is used to help getting the first entry in
>>> the ip6_frag_lru_list list. There is a simpler way to do it
>>
>> The exact same code exists in ip_fragment.c and nf_conntrack_reasm.c,
>> please also change it there.
> 
> Hm, indeed. But I see that the structs frag_queue in reassembly.c, ipq 
> in ip_fragment.c and nf_ct_frag6_queue in nf code looks VERY similar 
> and very much of code (like link/unlink or evict) looks the same too.
> 
> Maybe it's worth creating something like struct skb_fragment and
> consolidate all the common stuff into some net/core/lib_frag.c? Or
> is there some hidden reason for keeping this code splitted?

I'm not sure if its possible between IPv4 and IPv6, but sharing code
between IPv6 reassembly and netfilter/ipv6 would be nice.